document.getElementById('relationshipQuiz').addEventListener('submit', function (e) {
  e.preventDefault();
  const q1 = parseInt(document.getElementById('q1').value);
  const q2 = parseInt(document.getElementById('q2').value);
  const q3 = parseInt(document.getElementById('q3').value);
  const total = q1 + q2 + q3;

  let resultText = '';
  if (total <= 4) {
    resultText = 'You might want to reconsider this relationship. It seems there are significant mismatches.';
  } else if (total <= 7) {
    resultText = 'There are some positive aspects, but also areas that need improvement. Proceed with caution.';
  } else {
    resultText = 'This relationship seems promising! Keep nurturing it.';
  }

  document.getElementById('resultText').textContent = resultText;
  document.getElementById('result').classList.remove('hidden');
});